#
# spec file for package python-u-msgpack-python
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-u-msgpack-python
Version:        2.5.0
Release:        3.1
Summary:        A MessagePack serializer and deserializer
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/vsergeev/u-msgpack-python
Source:         https://pypi.io/packages/source/u/u-msgpack-python/u-msgpack-python-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
u-msgpack-python is a MessagePack serializer and
deserializer module written in pure Python, compatible with
Python 2, Python 3, in both the CPython and PyPy implementations of
Python. u-msgpack-python is fully compliant with the MessagePack
2017-09-17 specification. In particular, it supports the binary,
UTF-8 string, and application-defined extended types.

%prep
%setup -q -n u-msgpack-python-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%python_exec test_umsgpack.py

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%pycache_only %{python_sitelib}/__pycache__
%{python_sitelib}/umsgpack.py*
%{python_sitelib}/u_msgpack_python-%{version}-py%{python_version}.egg-info

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Apr  3 2018 jengelh@inai.de
- Ensure neutrality and time-agnosticness of description.
* Sun Apr  1 2018 arun@gmx.de
- remove u-msgpack-bigendian_broken.patch
- update to version 2.5.0:
  * Add support for the timestamp extension type.
  * Fix tests on big endian platforms
* Fri Mar 16 2018 ro@suse.de
- add u-msgpack-bigendian_broken.patch (bsc#1085666)
  pack_ext_handler/unpack_ext_handler are broken on bigendian,
  skip them in the testsuite for now
* Mon Nov 13 2017 arun@gmx.de
- update to version 2.4.1:
  * Fix module version tuple inconsistency.
- changes from version 2.4.0:
  * Add hash special method to Ext class.
  * Add packing option to force floating point precision.
  * Make codebase PEP 8 compliant.
  * Add support for tox automated testing and use it in CI.
* Fri Mar 31 2017 aloisio@gmx.com
- Converted to single-spec
- Added tests
* Sun Mar 12 2017 arun@gmx.de
- initial package
